/* You can add global styles to this file, and also import other style files */
body {
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
  font-family: Barlow;
}

.link {
  color: #4186e0 !important;
  text-decoration: none;
  cursor: pointer;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  display: block;
  &.before {
    &::before {
      content: "❐";
      color: #9ea1ae;
      margin-right: 8px;
    }
  }
  &.after {
    &::after {
      content: "❐";
      color: #9ea1ae;
      margin-left: 8px;
    }
  }
}

.date-picker {
  .dropdown-menu {
    .ngb-dp-header {
      ngb-datepicker-navigation {
        .ngb-dp-navigation-select {
          display: none;
        }
        .ngb-dp-arrow {
          button {
            color: #1d252d;
            font-family: Barlow;
            font-size: 12px;
            font-weight: 600;
            line-height: 24px;
            background-color: transparent;
            border: none;
            outline: none;
          }
        }
      }
    }
    .ngb-dp-months {
      margin-top: -30px;
      .ngb-dp-month {
        .ngb-dp-month-name {
          color: #1d252d;
          font-family: Barlow;
          font-size: 12px;
          font-weight: 600;
          line-height: 24px;
        }
        ngb-datepicker-month-view {
          .ngb-dp-week {
            &.ngb-dp-weekdays {
              border: none;
              .ngb-dp-weekday {
                color: #9ea1ae;
                font-family: Barlow;
                font-size: 12px;
                font-weight: 600;
                line-height: 24px;
              }
            }
            color: #1d252d;
            font-family: Barlow;
            font-size: 12px;
            font-weight: 600;
            line-height: 24px;
            text-align: center;
          }
        }
      }
    }
  }
}

.date-picker {
  ngb-datepicker {
    .ngb-dp-header {
      ngb-datepicker-navigation {
        ngb-datepicker-navigation-select {
          display: none;
        }
        .ngb-dp-arrow {
          button {
            color: #1d252d;
            font-family: Barlow;
            font-size: 12px;
            font-weight: 600;
            line-height: 24px;
            background-color: transparent;
            border: none;
            outline: none;
          }
        }
      }
    }
    .ngb-dp-months {
      margin-top: -30px;
      .ngb-dp-month {
        .ngb-dp-month-name {
          color: #1d252d;
          font-family: Barlow;
          font-size: 12px;
          font-weight: 600;
          line-height: 24px;
        }
        ngb-datepicker-month-view {
          &:last-child {
            .ngb-dp-week {
              padding-left: .5rem;
            }
          }
          .ngb-dp-week {
            padding-left: 0;
            .ngb-dp-day {
              width: 1.9rem;
              height: 1.5rem;
            }
            &.ngb-dp-weekdays {
              border: none;
              .ngb-dp-weekday {
                color: #9ea1ae;
                font-family: Barlow;
                font-size: 12px;
                font-weight: 600;
                line-height: 24px;
                font-style: normal;
              }
            }
          }
        }
      }
    }
  }
}


.breadcrumb {
  margin-top: 16px;
  span:first-child {
    color: #424658;
    font-family: Barlow;
    font-size: 12px;
    font-weight: 500;
    line-height: 14px;
  }
  span:nth-child(2){
    color: #424658;
    font-family: Barlow;
    font-size: 12px;
    font-weight: bold;
    line-height: 14px;
  }
  span:last-child {
    color: #424658;
    font-family: Barlow;
    font-size: 12px;
    font-weight: bold;
    line-height: 14px;
  }
}
